ad_rec_s Struct Reference

Audio recording structure. More...

## Data Fields

snd_pcm_t * | dspH
int32 | recording
int32 | sps
| Samples/sec.
int32 | bps
| Bytes/sample.
ALCdevice * | device
int32 | dspFD
pa_simple * | pa
HWAVEIN | h_wavein
ad_wbuf_t * | wi_buf
int32 | n_buf
int32 | opened
int32 | curbuf
int32 | curoff
int32 | curlen
int32 | lastbuf

## Detailed Description

Audio recording structure.

Definition at line 90 of file ad_alsa.c.

## Field Documentation

## bps

int32 ad_rec_s::bps

Bytes/sample.

Definition at line 94 of file ad_alsa.c.

## curbuf

int32 ad_rec_s::curbuf

Definition at line 89 of file ad_win32.c.

## curlen

int32 ad_rec_s::curlen

Definition at line 91 of file ad_win32.c.

## curoff

int32 ad_rec_s::curoff

Definition at line 90 of file ad_win32.c.

## device

ALCdevice* ad_rec_s::device

Definition at line 47 of file ad_openal.c.

## dspFD

int32 ad_rec_s::dspFD

Definition at line 84 of file ad_oss.c.

## dspH

snd_pcm_t* ad_rec_s::dspH

Definition at line 91 of file ad_alsa.c.

## h_wavein

HWAVEIN ad_rec_s::h_wavein

Definition at line 84 of file ad_win32.c.

## lastbuf

int32 ad_rec_s::lastbuf

Definition at line 92 of file ad_win32.c.

## n_buf

int32 ad_rec_s::n_buf

Definition at line 86 of file ad_win32.c.

## opened

int32 ad_rec_s::opened

Definition at line 87 of file ad_win32.c.

## pa

pa_simple* ad_rec_s::pa

Definition at line 53 of file ad_pulse.c.

## recording

int32 ad_rec_s::recording

Definition at line 92 of file ad_alsa.c.

## sps

int32 ad_rec_s::sps

Samples/sec.

Definition at line 93 of file ad_alsa.c.

## wi_buf

ad_wbuf_t* ad_rec_s::wi_buf

Definition at line 85 of file ad_win32.c.

The documentation for this struct was generated from the following files:

- src/libsphinxad/ad_alsa.c
- src/libsphinxad/ad_base.c
- src/libsphinxad/ad_openal.c
- src/libsphinxad/ad_oss.c
- src/libsphinxad/ad_pulse.c
- src/libsphinxad/ad_win32.c